Questions that refer to the capability of a system to install and run applications of multiple different binary targets on the same system. For example running a 32bit linux application on a 64bit linux system.

learn more… | top users | synonyms

43
votes
8answers
75k views

How can I switch a 32-bit installation to a 64-bit one?

I've got a 32-bit Ubuntu installation running on 64-bit hardware. Now that multi-arch has been implemented, I would like to switch to 64-bit without having to reinstall the OS. This is one of the ...
92
votes
6answers
200k views

What happened to the ia32-libs package?

The ia32-libs package is no longer present in Ubuntu 12.04 repositories for a 64bit system. Are there any available replacement packages available for download?
18
votes
1answer
6k views

Why does my 64-bit system look for 32-bit repos?

I've got a 64-bit 12.10 install on my Laptop. When running apt-get update, it downloads package lists for 32-bit packages (as well as source and 64-bit package lists). Why does it look for 32-bit ...
25
votes
13answers
59k views

Cannot install ia32-libs

I don't know why I can't install ia32-libs. It claims for a dependency that cannot be found on repos. junior@mediacenter:~$ sudo apt-get install ia32-libs Reading package lists... Done Building ...
6
votes
2answers
30k views

Can't run “dpkg --add-architecture i386” on 12.04 64-bit to run eclipse ADT

Running ubuntu 12.04 64 bit. I am trying to follow the steps written at the end of this page under the Heading : Installing Android SDK compat libraries. I am doing it in order to solve this problem. ...
29
votes
4answers
35k views

How to disable multiarch support?

I don't want to install any i386 package. Is there any way to disable functionality?
13
votes
6answers
16k views

How do I install a 32-bit proprietary deb on a 64-bit system without causing dependency problems?

I know Guitar pro doesn't support 64 bit, but i did get it to work with this command jeggy@jeggy-XPS:~$ sudo dpkg --force-architecture -i GuitarPro6-rev9063.deb [sudo] password for jeggy: Selecting ...
7
votes
2answers
10k views

How do I fix a “Unknown configuration key `foreign-architecture' found in your `dpkg' configuration files.” error?

Always when I install something, I get the following error multiple times: Unknown configuration key 'foreign-architecture' found in your 'dpkg' configuration files. This warning will become a ...
12
votes
2answers
72k views

How to run 32-bit programs on a 64-bit system [duplicate]

Recently I upgraded my netbook to Ubuntu 13.04 64-bit from Ubuntu 13.04 beta 2 32-bit. I want to be able to run 32-bit programs (such as WPS, which is a clone of MS Office 2012) on my PC. How do I ...
5
votes
2answers
15k views

How to install 32-bit deb package on 64-bit ubuntu?

I have Ubuntu 11.10 64-bit installed and I have to install 32-bit deb package on it. It depends on other 32 bit libraries. I overcome this with getlibs: sudo getlibs -i ./hp-netconnect_1.2-12_i386....
6
votes
1answer
6k views

Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'xxx' doesn't support architecture 'i386'

Getting below error message while issuing : sudo apt-get update Get:1 http://us.archive.ubuntu.com/ubuntu xenial InRelease [95.8 kB] Ign:2 http://repo.mongodb.org/apt/debian wheezy/mongodb-org/3.2 ...
5
votes
1answer
1k views

Does the multiarch feature in 11.10 mean the death of force--architecture installs?

Well does the multiarch feature of 11.10 mean 64bit users will be able to install 32bit '.debs' without resorting to the 'force--architecture' command?
3
votes
4answers
4k views

What is the status of multiarch for 11.10?

What is the planned status of Multiarch support in 11.10? In AMD64 Alpha 1, I attempted to install the i386 google chrome package using dpkg. The install failed citing architecture mismatches, Is ...
3
votes
1answer
7k views

running a 32 bit .bin file on 64 bit Kubuntu

I am running a 64-bit version of Kubuntu 12.04. When trying to run a 32-bit .bin file I am getting the following error: $ ./jdevstudio11121install.bin ./jdevstudio11121install.bin: No such file or ...
0
votes
1answer
1k views

Unmet Dependencies when I try to install wine or skype

I have a dell inspiron 64 bit and I'm running both windows 7 and Ubuntu in dual boot I am having trouble installing skype and wine. When I try to install skype etc I get the following error: sudo ...
25
votes
3answers
95k views

Ubuntu 64 bit Machinarium: error while loading shared libraries: libgtk-x11-2.0.so.0 [closed]

I just downloaded Ubuntu 13.10 final beta 64 bit and every program that I use work flawlessly with the exception of "Machinarium" a very cool flash game. The game doesn't have a .deb package and I ...
10
votes
6answers
23k views

Cannot install ia32-lib package

I have several programs that reuquire 32 bit packages (pointing to the ia32-lib package). However, when I try to install it, this happens. spirit@ubuntu:~$ sudo apt-get install ia32-libs Reading ...
8
votes
2answers
18k views

“Depends: ia32-libs-multiarch but it is not installable” - Solution

I noticed this on 12.10 trying to get the Android SDK working. For 64 bit versions, it is required to install: sudo apt-get install ia32-libs However, under 64bit 12.10, I got the following error: ...
4
votes
0answers
4k views

Installing 32 bit java now that ia32-sun-java6-bin is not available [duplicate]

Possible Duplicate: How can I install Sun/Oracle's proprietary Java 6/7 JRE or JDK? Prior to 11.10, I could install a 32 bit java side by side with the 64 bit versions using the package ...
0
votes
1answer
6k views

how to install 64bit packeges on my ubuntu 12.04 64bit? [duplicate]

Possible Duplicate: Cannot install ia32-libs when I try to install 64bit packages on ubuntu 12.04 64bit, package manager says : Error: Cannot install 'ia32-libs' and I tried to install ...
7
votes
2answers
2k views

How can I install both 32 and 64 bit versions of the same -dev package?

I'm trying to install libsqlite3-dev for both i386 and amd64 on the same Ubuntu 12.04 machine. I'm developing an application that uses sqlite3, and want to compile and test both the 32-bit and 64-bit ...
3
votes
3answers
4k views

Cannot install Adobe or Skype due to ia32-libs error

I don't usually post on such forums, but I finally gave up on figuring out what's going on here and I need some help. I need to install Adobe Reader. I am running Ubuntu 12.04 Precise x64 on Intel ...
2
votes
2answers
9k views

Why can't I install “ia32-libs” (no candidate)?

I want to install eagle cadsoft 6.2.0 on Ubuntu 11.10, eagle is 32bit compatible so I need to install ia32-libs but its giving the following error: Package ia32-libs is not available, but is referred ...
0
votes
2answers
190 views

Updates listed but not installed

After upgrading to 12.04 Gnome Classic amd64, several updates are listed in update manager, but do not install. In my x86 upgrade this is not happening. The amd64 upgrade is a disaster with many ...